/* 2008-12-06: File added by Sony Corporation */
/*
 *  Early debug routines
 *
 *  This driver concentrates several architectures' debug routines
 *  that can be used even in early in boot.
 *
 *  Copyright 2004,2005 Sony Corporation
 *
 *  This program is free software; you can redistribute	 it and/or modify it
 *  under  the terms of	 the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the	License, or (at your
 *  option) any later version.
 *
 *  THIS  SOFTWARE  IS PROVIDED	  ``AS	IS'' AND   ANY	EXPRESS OR IMPLIED
 *  WARRANTIES,	  INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO	EVENT  SHALL   THE AUTHOR  BE	 LIABLE FOR ANY	  DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED	  TO, PROCUREMENT OF  SUBSTITUTE GOODS	OR SERVICES; LOSS OF
 *  USE, DATA,	OR PROFITS; OR	BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN	 CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <linux/kernel.h>
#include <linux/snsc_early.h>

struct _snsc_arch_early snsc_arch_early;

void
snsc_early_puts(const char *str)
{
	if (snsc_arch_early.puts)
		snsc_arch_early.puts(str);
	return;
}

void
snsc_early_led(unsigned int val)
{
	if (snsc_arch_early.led)
		snsc_arch_early.led(val);
	return;
}

void
snsc_disable_early_funcs(void)
{
	if (snsc_arch_early.puts)
		snsc_arch_early.puts	= NULL;
	if (snsc_arch_early.led)
		snsc_arch_early.led	= NULL;
	return;
}
